<div class="container text-white">
    <div class="row">
        <div class="col-md-3">
            <div class="list-group">
                <div *ngFor="let directorGroup of directorList | async | splitByLetter">
                    <div *ngFor="let director of directorGroup; let i = index">
                        <h4 *ngIf="i === 0">
                            <p id="{{director.name.charAt(0)}}"> {{ director.name.charAt(0) }} </p>  
                        </h4>
                        <a (click)="showDirectorInfo(director)" class="list-group-item list-group-item-action bg-dark text-white"> {{ director.name }} </a>
                    </div>
                </div>
            </div>
        </div>
            
        <div class="col-md-8">
            <div class="list-group">
                <p> {{directorInfo?.name}} </p>
                <p> {{directorInfo?.birthplace}} </p>
                <p> {{directorInfo?.birthdate}} </p>
            </div>
        </div>

        <div class="col-md-1">
            <div class="position-fixed list-group">
                <div *ngFor="let c of alphabet">
                    <a [routerLink]="'.'" [fragment]="c" class="list-group-item list-group-item-action bg-dark text-white py-0">{{c}}</a>
                </div>
            </div>
        </div>
    </div>
</div>
